- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# panos_admin – Add or modify PAN-OS user accounts password

- DEPRECATED

- Synopsis

- Requirements

- Parameters

- Examples

- Return Values

- Status

## DEPRECATED

Removed in Ansible

  version: 2.12

Why

  Consolidating code base.

Alternative

  Use https://galaxy.ansible.com/PaloAltoNetworks/paloaltonetworks instead.

## Synopsis

- PanOS module that allows changes to the user account passwords by doing API calls to the Firewall using pan-api as the protocol.

## Requirements

The below requirements are needed on the host that executes this module.

- pan-python

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
admin_password - / required |  | password for admin user
admin_username - | Default: "admin" | username for admin user
commit boolean | Choices: no yes ← | commit if changed
ip_address string / required |  | IP address (or hostname) of PAN-OS device.
password string / required |  | Password for authentication.
role - |  | role for admin user
username string | Default: "admin" | Username for authentication.

## Examples

    # Set the password of user admin to "badpassword"
    # Doesn't commit the candidate config
      - name: set admin password
        panos_admin:
          ip_address: "192.168.1.1"
          password: "admin"
          admin_username: admin
          admin_password: "badpassword"
          commit: False

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
status string | success | success status Sample: okey dokey

## Status

- This module will be removed in version 2.12. [deprecated]

- For more information see DEPRECATED.

### Authors

- Luigi Mori (@jtschichold), Ivan Bojer (@ivanbojer)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.